package com.tax.file.model;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * fin_cuspay
 * @author 
 */
public class FinCuspay implements Serializable {
    private Long id;

    /**
     * 缴款书号码
     */
    private String payNo;

    /**
     *  填发日期
     */
    private Date fillDate;

    /**
     *  缴款单位一名称
     */
    private String payUnitOneName;

    /**
     * 缴款单位一税号
     */
    private String payUnitOneTaxno;

    /**
     *  缴款单位二名称
     */
    private String payUnitTwoName;

    /**
     * 缴款单位二税号
     */
    private String payUnitTwoTaxno;

    /**
     * 一级关区代码
     */
    private String level1CustomsCode;

    /**
     * 进口口岸代码
     */
    private String importPortCode;

    /**
     * 税款金额
     */
    private BigDecimal taxAmount;

    /**
     * 收入机关
     */
    private String imcomeOrgan;

    /**
     * 报送文件标识
     */
    private String submitFileLogo;

    /**
     * 申请单位编码
     */
    private String applyUnitCode;

    /**
     * 报关单位编码
     */
    private String customsUnitCode;

    /**
     * 贸易方式
     */
    private String tradeWay;

    /**
     * 预算科目代码
     */
    private String budgetSubjectsCode;

    /**
     * 收款国库代码
     */
    private String collectionTreasuryCode;

    /**
     * 合同号
     */
    private String contractNo;

    /**
     * 运输工具
     */
    private String transport;
    
    /**
     * 数据来源
     */
    private String dataFrom;

    /**
     * 缴款期限
     */
    private Date paymentTerm;

    /**
     * 提运单号
     */
    private String deliveryNo;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建日期
     */
    private Date createDate;

    private Integer tkFileId;

    /**
     * 删除标记 '0' 未删除 '1'已删除
     */
    private String delFlag;

    /**
     * 更新人
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateDate;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDataFrom() {
		return dataFrom;
	}

	public void setDataFrom(String dataFrom) {
		this.dataFrom = dataFrom;
	}

	public String getPayNo() {
        return payNo;
    }

    public void setPayNo(String payNo) {
        this.payNo = payNo;
    }

    public Date getFillDate() {
        return fillDate;
    }

    public void setFillDate(Date fillDate) {
        this.fillDate = fillDate;
    }

    public String getPayUnitOneName() {
        return payUnitOneName;
    }

    public void setPayUnitOneName(String payUnitOneName) {
        this.payUnitOneName = payUnitOneName;
    }

    public String getPayUnitOneTaxno() {
        return payUnitOneTaxno;
    }

    public void setPayUnitOneTaxno(String payUnitOneTaxno) {
        this.payUnitOneTaxno = payUnitOneTaxno;
    }

    public String getPayUnitTwoName() {
        return payUnitTwoName;
    }

    public void setPayUnitTwoName(String payUnitTwoName) {
        this.payUnitTwoName = payUnitTwoName;
    }

    public String getPayUnitTwoTaxno() {
        return payUnitTwoTaxno;
    }

    public void setPayUnitTwoTaxno(String payUnitTwoTaxno) {
        this.payUnitTwoTaxno = payUnitTwoTaxno;
    }

    public String getLevel1CustomsCode() {
        return level1CustomsCode;
    }

    public void setLevel1CustomsCode(String level1CustomsCode) {
        this.level1CustomsCode = level1CustomsCode;
    }

    public String getImportPortCode() {
        return importPortCode;
    }

    public void setImportPortCode(String importPortCode) {
        this.importPortCode = importPortCode;
    }

    public BigDecimal getTaxAmount() {
        return taxAmount;
    }

    public void setTaxAmount(BigDecimal taxAmount) {
        this.taxAmount = taxAmount;
    }

    public String getImcomeOrgan() {
        return imcomeOrgan;
    }

    public void setImcomeOrgan(String imcomeOrgan) {
        this.imcomeOrgan = imcomeOrgan;
    }

    public String getSubmitFileLogo() {
        return submitFileLogo;
    }

    public void setSubmitFileLogo(String submitFileLogo) {
        this.submitFileLogo = submitFileLogo;
    }

    public String getApplyUnitCode() {
        return applyUnitCode;
    }

    public void setApplyUnitCode(String applyUnitCode) {
        this.applyUnitCode = applyUnitCode;
    }

    public String getCustomsUnitCode() {
        return customsUnitCode;
    }

    public void setCustomsUnitCode(String customsUnitCode) {
        this.customsUnitCode = customsUnitCode;
    }

    public String getTradeWay() {
        return tradeWay;
    }

    public void setTradeWay(String tradeWay) {
        this.tradeWay = tradeWay;
    }

    public String getBudgetSubjectsCode() {
        return budgetSubjectsCode;
    }

    public void setBudgetSubjectsCode(String budgetSubjectsCode) {
        this.budgetSubjectsCode = budgetSubjectsCode;
    }

    public String getCollectionTreasuryCode() {
        return collectionTreasuryCode;
    }

    public void setCollectionTreasuryCode(String collectionTreasuryCode) {
        this.collectionTreasuryCode = collectionTreasuryCode;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public String getTransport() {
        return transport;
    }

    public void setTransport(String transport) {
        this.transport = transport;
    }

    public Date getPaymentTerm() {
        return paymentTerm;
    }

    public void setPaymentTerm(Date paymentTerm) {
        this.paymentTerm = paymentTerm;
    }

    public String getDeliveryNo() {
        return deliveryNo;
    }

    public void setDeliveryNo(String deliveryNo) {
        this.deliveryNo = deliveryNo;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getTkFileId() {
        return tkFileId;
    }

    public void setTkFileId(Integer tkFileId) {
        this.tkFileId = tkFileId;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        FinCuspay other = (FinCuspay) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getPayNo() == null ? other.getPayNo() == null : this.getPayNo().equals(other.getPayNo()))
            && (this.getFillDate() == null ? other.getFillDate() == null : this.getFillDate().equals(other.getFillDate()))
            && (this.getPayUnitOneName() == null ? other.getPayUnitOneName() == null : this.getPayUnitOneName().equals(other.getPayUnitOneName()))
            && (this.getPayUnitOneTaxno() == null ? other.getPayUnitOneTaxno() == null : this.getPayUnitOneTaxno().equals(other.getPayUnitOneTaxno()))
            && (this.getPayUnitTwoName() == null ? other.getPayUnitTwoName() == null : this.getPayUnitTwoName().equals(other.getPayUnitTwoName()))
            && (this.getPayUnitTwoTaxno() == null ? other.getPayUnitTwoTaxno() == null : this.getPayUnitTwoTaxno().equals(other.getPayUnitTwoTaxno()))
            && (this.getLevel1CustomsCode() == null ? other.getLevel1CustomsCode() == null : this.getLevel1CustomsCode().equals(other.getLevel1CustomsCode()))
            && (this.getImportPortCode() == null ? other.getImportPortCode() == null : this.getImportPortCode().equals(other.getImportPortCode()))
            && (this.getTaxAmount() == null ? other.getTaxAmount() == null : this.getTaxAmount().equals(other.getTaxAmount()))
            && (this.getImcomeOrgan() == null ? other.getImcomeOrgan() == null : this.getImcomeOrgan().equals(other.getImcomeOrgan()))
            && (this.getSubmitFileLogo() == null ? other.getSubmitFileLogo() == null : this.getSubmitFileLogo().equals(other.getSubmitFileLogo()))
            && (this.getApplyUnitCode() == null ? other.getApplyUnitCode() == null : this.getApplyUnitCode().equals(other.getApplyUnitCode()))
            && (this.getCustomsUnitCode() == null ? other.getCustomsUnitCode() == null : this.getCustomsUnitCode().equals(other.getCustomsUnitCode()))
            && (this.getTradeWay() == null ? other.getTradeWay() == null : this.getTradeWay().equals(other.getTradeWay()))
            && (this.getBudgetSubjectsCode() == null ? other.getBudgetSubjectsCode() == null : this.getBudgetSubjectsCode().equals(other.getBudgetSubjectsCode()))
            && (this.getCollectionTreasuryCode() == null ? other.getCollectionTreasuryCode() == null : this.getCollectionTreasuryCode().equals(other.getCollectionTreasuryCode()))
            && (this.getContractNo() == null ? other.getContractNo() == null : this.getContractNo().equals(other.getContractNo()))
            && (this.getTransport() == null ? other.getTransport() == null : this.getTransport().equals(other.getTransport()))
            && (this.getPaymentTerm() == null ? other.getPaymentTerm() == null : this.getPaymentTerm().equals(other.getPaymentTerm()))
            && (this.getDeliveryNo() == null ? other.getDeliveryNo() == null : this.getDeliveryNo().equals(other.getDeliveryNo()))
            && (this.getCreateBy() == null ? other.getCreateBy() == null : this.getCreateBy().equals(other.getCreateBy()))
            && (this.getCreateDate() == null ? other.getCreateDate() == null : this.getCreateDate().equals(other.getCreateDate()))
            && (this.getTkFileId() == null ? other.getTkFileId() == null : this.getTkFileId().equals(other.getTkFileId()))
            && (this.getDelFlag() == null ? other.getDelFlag() == null : this.getDelFlag().equals(other.getDelFlag()))
            && (this.getUpdateBy() == null ? other.getUpdateBy() == null : this.getUpdateBy().equals(other.getUpdateBy()))
            && (this.getUpdateDate() == null ? other.getUpdateDate() == null : this.getUpdateDate().equals(other.getUpdateDate()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getPayNo() == null) ? 0 : getPayNo().hashCode());
        result = prime * result + ((getFillDate() == null) ? 0 : getFillDate().hashCode());
        result = prime * result + ((getPayUnitOneName() == null) ? 0 : getPayUnitOneName().hashCode());
        result = prime * result + ((getPayUnitOneTaxno() == null) ? 0 : getPayUnitOneTaxno().hashCode());
        result = prime * result + ((getPayUnitTwoName() == null) ? 0 : getPayUnitTwoName().hashCode());
        result = prime * result + ((getPayUnitTwoTaxno() == null) ? 0 : getPayUnitTwoTaxno().hashCode());
        result = prime * result + ((getLevel1CustomsCode() == null) ? 0 : getLevel1CustomsCode().hashCode());
        result = prime * result + ((getImportPortCode() == null) ? 0 : getImportPortCode().hashCode());
        result = prime * result + ((getTaxAmount() == null) ? 0 : getTaxAmount().hashCode());
        result = prime * result + ((getImcomeOrgan() == null) ? 0 : getImcomeOrgan().hashCode());
        result = prime * result + ((getSubmitFileLogo() == null) ? 0 : getSubmitFileLogo().hashCode());
        result = prime * result + ((getApplyUnitCode() == null) ? 0 : getApplyUnitCode().hashCode());
        result = prime * result + ((getCustomsUnitCode() == null) ? 0 : getCustomsUnitCode().hashCode());
        result = prime * result + ((getTradeWay() == null) ? 0 : getTradeWay().hashCode());
        result = prime * result + ((getBudgetSubjectsCode() == null) ? 0 : getBudgetSubjectsCode().hashCode());
        result = prime * result + ((getCollectionTreasuryCode() == null) ? 0 : getCollectionTreasuryCode().hashCode());
        result = prime * result + ((getContractNo() == null) ? 0 : getContractNo().hashCode());
        result = prime * result + ((getTransport() == null) ? 0 : getTransport().hashCode());
        result = prime * result + ((getPaymentTerm() == null) ? 0 : getPaymentTerm().hashCode());
        result = prime * result + ((getDeliveryNo() == null) ? 0 : getDeliveryNo().hashCode());
        result = prime * result + ((getCreateBy() == null) ? 0 : getCreateBy().hashCode());
        result = prime * result + ((getCreateDate() == null) ? 0 : getCreateDate().hashCode());
        result = prime * result + ((getTkFileId() == null) ? 0 : getTkFileId().hashCode());
        result = prime * result + ((getDelFlag() == null) ? 0 : getDelFlag().hashCode());
        result = prime * result + ((getUpdateBy() == null) ? 0 : getUpdateBy().hashCode());
        result = prime * result + ((getUpdateDate() == null) ? 0 : getUpdateDate().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", payNo=").append(payNo);
        sb.append(", fillDate=").append(fillDate);
        sb.append(", payUnitOneName=").append(payUnitOneName);
        sb.append(", payUnitOneTaxno=").append(payUnitOneTaxno);
        sb.append(", payUnitTwoName=").append(payUnitTwoName);
        sb.append(", payUnitTwoTaxno=").append(payUnitTwoTaxno);
        sb.append(", level1CustomsCode=").append(level1CustomsCode);
        sb.append(", importPortCode=").append(importPortCode);
        sb.append(", taxAmount=").append(taxAmount);
        sb.append(", imcomeOrgan=").append(imcomeOrgan);
        sb.append(", submitFileLogo=").append(submitFileLogo);
        sb.append(", applyUnitCode=").append(applyUnitCode);
        sb.append(", customsUnitCode=").append(customsUnitCode);
        sb.append(", tradeWay=").append(tradeWay);
        sb.append(", budgetSubjectsCode=").append(budgetSubjectsCode);
        sb.append(", collectionTreasuryCode=").append(collectionTreasuryCode);
        sb.append(", contractNo=").append(contractNo);
        sb.append(", transport=").append(transport);
        sb.append(", paymentTerm=").append(paymentTerm);
        sb.append(", deliveryNo=").append(deliveryNo);
        sb.append(", createBy=").append(createBy);
        sb.append(", createDate=").append(createDate);
        sb.append(", tkFileId=").append(tkFileId);
        sb.append(", delFlag=").append(delFlag);
        sb.append(", updateBy=").append(updateBy);
        sb.append(", updateDate=").append(updateDate);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}